# __gnu_parallel::replace_if_selector< It, Op, T > Struct Template Reference

Inheritance diagram for __gnu_parallel::replace_if_selector< It, Op, T >:

List of all members.

## Detailed Description

### template<typename It, typename Op, typename T>
struct __gnu_parallel::replace_if_selector< It, Op, T >

std::replace() selector.

Definition at line 164 of file for_each_selectors.h.

## Public Member Functions

- bool operator() (Op &o, It i)
- replace_if_selector (const T &new_val)

## Public Attributes

- It finish_iterator
- const T & new_val

## Constructor & Destructor Documentation

template<typename It, typename Op, typename T>

__gnu_parallel::replace_if_selector< It, Op, T >::replace_if_selector | ( | const T & | new_val | ) | `[inline, explicit]`

Constructor.

Parameters:

  | new_val | Value to replace with.

Definition at line 172 of file for_each_selectors.h.

## Member Function Documentation

template<typename It, typename Op, typename T>

bool __gnu_parallel::replace_if_selector< It, Op, T >::operator() | ( | Op & | o,
|  | It | i |
| ) |  |  | `[inline]`

Functor execution.

Parameters:

  | o | Operator.
  | i | Iterator referencing object.

Definition at line 178 of file for_each_selectors.h.

References __gnu_parallel::replace_if_selector< It, Op, T >::new_val.

## Member Data Documentation

template<typename It>

It __gnu_parallel::generic_for_each_selector< It >::finish_iterator `[inherited]`

Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 54 of file for_each_selectors.h.

Referenced by std::__parallel::adjacent_difference_switch(), std::__parallel::transform1_switch(), and std::__parallel::transform2_switch().

template<typename It, typename Op, typename T>

const T& __gnu_parallel::replace_if_selector< It, Op, T >::new_val

Value to replace with.

Definition at line 167 of file for_each_selectors.h.

Referenced by __gnu_parallel::replace_if_selector< It, Op, T >::operator()().

The documentation for this struct was generated from the following file:

- for_each_selectors.h